Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05932 Interface Critical (emulator) Always May 5, 2015, 08:26 May 20, 2016, 18:54
Tester con5duros View Status Public Platform MAME (Official Binary)
Assigned To Quench Resolution Fixed OS Windows XP
Status [?] Resolved   Driver
Version 0.160 Fixed in Version 0.174 Build Normal
Summary 05932: Joysticks Using PPJOY Driver Do not work anymore
Description Since 0.160 version (also happends in version 0.161) Some Joysticks have stop Working. These particular Joystick are connected to the computer trough the parallel port and use a Windows Driver called PPJOY.

Until version 0.160 they have worked correctly in Mame. For example in version 0.159 the joysticks work perfectly. It seems like versions 0.160 and 0.161 don't detect these kind of joysticks. I could only test this error using windows XP 32 bits version.

Other kind of Joysticks work perfectly.
Steps To Reproduce
Additional Information  I tried recompiling mame changing archives input.c and input.h, and using the 159 version of them. These does not solve the problem, the joysticks keep not working.

I tried other joysticks (USB) and they work perfectly.
Flags
Regression Version
Affected Sets / Systems
Attached Files
 


-  Notes
User avatar
No.11654
B2K24
(Moderator)
May 7, 2015, 07:06
This report seems similar to 05908 and as explained there it's the result of DIRECTINPUT 7 changing to DIRECTINPUT 8
User avatar
No.11655
Haze
(Senior Tester)
May 7, 2015, 09:36
edited on: May 7, 2015, 09:37
which essentially makes it 'not our problem'

the actual hardware is deprecated by Microsoft by the sounds of it.

to move forward and take advantage of new Windows / DX features etc. we have to drop old versions.

this is unfortunate, but pretty much unavoidable in the long run.

User avatar
No.11656
con5duros
(Tester)
May 7, 2015, 13:20
Ok so one solution shall be changing the directinput in Mame.lua from 8 to 7 and the recompile, right?

First of all i am going to try to update PPJOY software from verion 0.83 to 0.84.5.6..Y will share the results.

Thanks
User avatar
No.11657
con5duros
(Tester)
May 7, 2015, 17:48
edited on: May 7, 2015, 17:48
Wich exact File do I hace to change in the new GIT to change from Directinput 8 to 7?....there a lot of files called MAKEFILE

User avatar
No.11658
con5duros
(Tester)
May 7, 2015, 20:00
Solved recompiling mame161.exe including line Directinput = 7 in file "Makefile" :)
User avatar
No.11660
Robbbert
(Developer)
May 8, 2015, 00:11
Not a MAME problem.

Fixed by the user compiling with directinput = 7.
User avatar
No.12677
Quench
(Developer)
May 20, 2016, 17:16
This is indeed a problem with MAME. A fix has been posted which is due in 0.174 that allows PPJOY Driver to work with DirectInput 8.
PPJoy is confirmed working now.
User avatar
No.12678
Quench
(Developer)
May 20, 2016, 17:19
Resolved.
User avatar
No.12679
Tafoid
(Administrator)
May 20, 2016, 18:54
Hopefully the original poster will come back to verify that it works for them now